# Documentation

Menu

## AbstractSQL
in package
implements SQLInterface

AbstractSQL.php : 22

Parent for database-specific syntax subclasses

### Interfaces, Classes, Traits and Enums

SQLInterface
  Interface for database-specific syntax subclasses

### Table of Contents

limit() : string
  Limit clause

### Methods

#### limit()

AbstractSQL.php : 27

Limit clause

`public limit(string $sql, int $limit[, int|null $offset = NULL ]) : string`

##### Parameters

$sql : string
$limit : int
$offset : int|null = NULL

##### Return values

string —

## Search results